Jump to content
LevelMax

Help ! Configurar php.ini

Recommended Posts

Olá amigos, tou meio perdidão aqui e preciso mt da ajuda de vcs.

Fui hospedar meu site na locaweb, e percebi que as sessions não funciona. Pensei comigo que era algo relacionado a php.ini

Só que o problema ta ai. Eu não sei de nada sobre php.ini, o servidor ta em linux.

Segui um "tutorial" deles para que as sessions funcionem: https://wiki.locaweb.com.br/index.php?title=Session_em_PHP&redirect=no

Pediram para que eu entrasse na hospedagem via HSS, ai usei um programa Putty para acessar a hospedagem. Blz, consegui localizar o arquivo.ini, só que não consigo salva-lo. Algm tem uma maneira pra me ajudar ? To perdendo tempo kkk, paguei a hospedagem.

Share this post


Link to post
Share on other sites
33 minutos atrás, washalbano disse:

A ajuda da locaweb via chat vai editar seu php.ini pra você

Poxa amigo fiquei bem decepicionado com eles lá. A hospedagem é boa e rapida, porem o suporte sinceramente é um <b> 0 </b>. Pedi ajuda para eles,  ai me encaminharão para outra pessoa, e essa pessoa falo só besterias. "Veja com seu desenvolvedor",. 

Enfim, se você poder me ajudar ficarei grato kkkk. Tempo é dinheiro.

Share this post


Link to post
Share on other sites

Usa o nano, é o editor em modo texto mais simples que tem, por exemplo:

sudo nano /etc/php5/apache2/php.ini  (se esse for o caminho do seu php.ini)

A partir dai, é só navegar usando as setas, e quando terminar a alteração, de um control + x  para sair, e confirme digitando a tecla s e em seguida tecle enter. Pronto, só isso!


 

Share this post


Link to post
Share on other sites
18 horas atrás, washalbano disse:

A ajuda da locaweb via chat vai editar seu php.ini pra você

 

 

Ñ foi a locaweb e sim ele mesmo que me ajudou haha.   Obg pela ajuda via telegram rsrs. 

 

Share this post


Link to post
Share on other sites

Esta semana passei pelo mesmo problema, entrei em contato com a Locaweb, falei com 2 atendentes que não deram muita importância, alegando que era erro de código e que eles não poderiam fazer nada. Como eu tinha certeza que o problema era no php.ini, comecei pesquisar artigos sobre php.ini e com lógica e intuição consegui por o código para rodar. Primeiramente meu código estava rodando perfeitamente no servidor local (localhost), então observei que a versão do meu PHP era 5.6.35 (localhost) e a versão disponibilizada pela Locaweb era PHP 5.2.alguma coisa. Então fiz os seguintes passos:

 

1-> fui no .htaccess e coloquei as seguintes linhas

"AddHandler php56-script .php
suPHP_ConfigPath /home/LOGIN_FPT/ "

- > sem aspas. Note que na primeira linha informei a versão do php (PHP56 = versão 5.6).

 

2-> fui no php.ini e alterei as informações referente a minha versão do php conforme explicação da Locaweb de forma MANUAL, pois a forma Via Painel não funcionou, pois gerou outro php.ini.swp que não tem nada a ver.

https://wiki.locaweb.com.br/pt-br/Como_alterar_a_versão_do_PHP

 

Só isso, rodou perfeitamente. Espero ter ajudado.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Similar Content

    • By Ak_Ray
      Pessoal, a pouco tempo troquei o xampp pelo php direto na máquina, o problema é que quando inicio o servidor o require nem o include funcionam. Acredito que o problema seja no php.ini, já tentei fazer diversas alterações, mas nenhuma funcionou.
      Linha onde acredito que esteja o problema :
      ; UNIX: “/path1:/path2”
      include_path = “.:/php/includes”
      ;
      ; Windows: “\path1;\path2”
      ;include_path = “.;c:\php\includes”
      Essa é a configuração padrão, apenas fiz uma alteração abaixo da linha “Unix” tirando o ';", já que no arquivo de php.ini do xampp estava assim. Mesmo assim não funciona =/
      Diretório onde esta a pasta php:
      C:\php
      Ps: tenho certeza que estou chamando o arquivo corretamente, tanto que com o Xampp funcionava normalmente.
    • By opl12
      Olá Mestres
       
      Estou testando enviar email pelo PHP,
       
      No windows 10 Instalei o Xampp, e fiz as configurações abaixo: 
      Configurei o arquivo php.ini com:  sendmail_path = "\"C:\xampp\sendmail\sendmail.exe\" -t"
       
      configurei o arquivo sendmail.ini com: smtp_server=smtp.gmail.com
      smtp_port=587
      auth_username= meu_email@gmail.com
      auth_password= minha_senha_do_email
       
       
      Pelo código php não retorna em erro, apenas diz que foi enviado com sucesso. 
      mas o email nunca chega hahahahah nem está no lixo eletônico
       
      Sabem se falta algo?

       
       
       
       
    • By Omar~
      Opa?!
      Então exste alguma constante ou modo para obter o valor do post_max_size configurado no PHP.INI?
      É porque estou querendo lançar um erro personalizado quando o arquivo enviado ultrapassar esse limite.
      É fato que posso olhar isso e transcrever no código, mas caso a mesma configuração seja alterada esse manuseio ficará inviável. Pois a melhor forma seria a comparação direta.
       
    • By エンリケ プラド
      Bom dia,
       
      Recentemente aluguei um host no hostinger, com espaço em disco ilimitado banda e etc, gostei do serviço e decidi montar um site igual o youtube com o phptube.
      Só que depois de instalar eu percebi que o máximo do tamanho de video que posso fazer upload é de 128 megas, sendo que eu gostaria que no minimo o video fosse de 400mb,
      eu vi que eles tem um certo tipo de "encoder" talvez comprima o video para facilitar o upload e etc, só que eu gostaria de editar o php.ini e o hostinger não permite.
      mas tenho acesso ao phpMyAdmin, tenho acesso aos arquivos .php e html, mas só não consigo editar a tabela que tem o valor, alguém pode me ajudar?
       
      post_max_size is 128M
       
      upload_max_filesize is 128M
    • By giovannaalves
      Estou tentando instalar o prestashop no cpanel da locaweb.
      Só que no passo 3 da instalação ele da os seguintes erros: 
      Cannot open external URLs (requires allow_url_fopen as On) Set short_open_tag to off in php.ini* Eu criei um arquivo php.ini no gerenciador de arquivos com os seguintes dados (fornecidos pela propria locaweb): 
      upload_max_filesize = 200M
      post_max_size = 200M
      memory_limit = 256M
      date.timezone = "America/Sao_Paulo"
      extension=pdo.so
      extension=pdo_mysql.so
      extension=pdo_sqlite.so
      max_execution_time = 90
      allow_url_fopen = on
      short_open_tag = off
       
       
      Mas o erro na instalação do prestashop continua....
       
×

Important Information

Ao usar o fórum, você concorda com nossos Terms of Use.